Package com.xebialabs.deployit.plugin.api.udm

## Class IDictionary.DictionaryContext

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.IDictionary.DictionaryContext

- Enclosing interface:
    IDictionary

      public static class IDictionary.DictionaryContext
      extends java.lang.Object

  Context used when processing dictionaries for a deployment.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DictionaryContext​(Application application, Version applicationVersion, Environment environment, Container container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `Application` | `getApplication()` |
    `Version` | `getApplicationVersion()` |
    `Container` | `getContainer()` |
    `Environment` | `getEnvironment()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DictionaryContext

          public DictionaryContext​(Application application,
                                   Version applicationVersion,
                                   Environment environment,
                                   Container container)

  - ### Method Detail

    - #### getApplication

          public Application getApplication()

      Returns:
        The `Application` being deployed. Can be `null` when (effective) dictionary is processed without application.

    - #### getApplicationVersion

          public Version getApplicationVersion()

      Returns:
        The `Version` being deployed. Can be `null` when (effective) dictionary is processed without application.

    - #### getEnvironment

          public Environment getEnvironment()

      Returns:
        The `Environment` deploying to.

    - #### getContainer

          public Container getContainer()

      Returns:
        The `Container` the dictionary is going to be used for. Optional: Can be `null` when the dictionary is applied to a larger context.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`